Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::TermBuffer Class Reference

`#include <TermBuffer.h>`

Inheritance diagram for Lucene::TermBuffer:

## Public Member Functions

| TermBuffer ()
virtual | ~TermBuffer ()
virtual String | getClassName ()
boost::shared_ptr< TermBuffer > | shared_from_this ()
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
void | setPreUTF8Strings ()
| Call this if the IndexInput passed to read stores terms in the "modified UTF8" format. More...
void | read (IndexInputPtr input, FieldInfosPtr fieldInfos)
void | set (TermPtr term)
void | set (TermBufferPtr other)
void | reset ()
TermPtr | toTerm ()
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Member Functions

int32_t | compareChars (wchar_t *chars1, int32_t len1, wchar_t *chars2, int32_t len2)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

String | field
TermPtr | term
bool | preUTF8Strings
UnicodeResultPtr | text
UTF8ResultPtr | bytes

## Constructor & Destructor Documentation

Lucene::TermBuffer::TermBuffer | ( | ) |  |

virtual Lucene::TermBuffer::~TermBuffer | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::TermBuffer::_getClassName | ( | ) |  |

inline static

virtual LuceneObjectPtr Lucene::TermBuffer::clone | ( | LuceneObjectPtr | other = `LuceneObjectPtr()`) |  |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

int32_t Lucene::TermBuffer::compareChars | ( | wchar_t * | chars1,
|  | int32_t | len1,
|  | wchar_t * | chars2,
|  | int32_t | len2
| ) |  |

protected

virtual int32_t Lucene::TermBuffer::compareTo | ( | LuceneObjectPtr | other) |  |

virtual

Compare two objects.

Reimplemented from Lucene::LuceneObject.

virtual String Lucene::TermBuffer::getClassName | ( | ) |  |

inline virtual

void Lucene::TermBuffer::read | ( | IndexInputPtr | input,
|  | FieldInfosPtr | fieldInfos
| ) |  |

void Lucene::TermBuffer::reset | ( | ) |  |

void Lucene::TermBuffer::set | ( | TermPtr | term) |  |

void Lucene::TermBuffer::set | ( | TermBufferPtr | other) |  |

void Lucene::TermBuffer::setPreUTF8Strings | ( | ) |  |

Call this if the IndexInput passed to read stores terms in the "modified UTF8" format.

boost::shared_ptr< TermBuffer > Lucene::TermBuffer::shared_from_this | ( | ) |  |

inline

TermPtr Lucene::TermBuffer::toTerm | ( | ) |  |

## Field Documentation

UTF8ResultPtr Lucene::TermBuffer::bytes

protected

String Lucene::TermBuffer::field

protected

bool Lucene::TermBuffer::preUTF8Strings

protected

TermPtr Lucene::TermBuffer::term

protected

UnicodeResultPtr Lucene::TermBuffer::text

protected

The documentation for this class was generated from the following file:

- TermBuffer.h

clucene.sourceforge.net